Package org.codehaus.janino

# Enum Access

java.lang.Object
java.lang.Enum<Access>
org.codehaus.janino.Access

All Implemented Interfaces:
  `Serializable`, `Comparable<Access>`, `java.lang.constant.Constable`

public enum Access extends Enum<Access>
Return value for `IClass.IMember.getAccess()`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Representation of DEFAULT accessibility.
`PRIVATE`
Representation of PRIVATE accessibility.
`PROTECTED`
Representation of PROTECTED accessibility.
`PUBLIC`
Representation of PUBLIC accessibility.

## Method Summary

Modifier and Type
Method
Description
`static Access`
`fromString(String s)`
`String`
`toString()`
`static Access`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Access[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRIVATE

public static final Access PRIVATE
Representation of PRIVATE accessibility.

### PROTECTED

public static final Access PROTECTED
Representation of PROTECTED accessibility.

### DEFAULT

public static final Access DEFAULT
Representation of DEFAULT accessibility.

### PUBLIC

public static final Access PUBLIC
Representation of PUBLIC accessibility.

## Method Details

### values

public static Access[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Access valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static Access fromString(String s)

Returns:
  s, converted to `Access`

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Access>`